VirtualBox Main API

Public Attributes | List of all members
IGuestFile Interface Reference

Implementation of the IFile object for files in the guest. More...

Inheritance diagram for IGuestFile:

## Public Attributes
readonly attribute boolean | midlDoesNotLikeEmptyInterfaces
Public Attributes inherited from IFile
readonly attribute IEventSource | eventSource
| Event source for file events.
readonly attribute unsigned long | id
| The ID VirtualBox internally assigned to the open file.
readonly attribute long long | initialSize
| The initial size in bytes when opened.
readonly attribute long long | offset
| The current file position.
readonly attribute FileStatus | status
| Current file status.
readonly attribute wstring | filename
| Full path of the actual file name of this file.
readonly attribute unsigned long | creationMode
| The UNIX-style creation mode specified when opening the file.
readonly attribute FileOpenAction | openAction
| The opening action specified when opening the file.
readonly attribute FileAccessMode | accessMode
| The file access mode.

## Additional Inherited Members
Public Member Functions inherited from IFile
void | close ()
| Closes this file.
void | queryInfo ([retval] out IFsObjInfo objInfo)
| Queries information about this file.
void | querySize ([retval] out long long size)
| Queries the current file size.
void | read (in unsigned long toRead, in unsigned long timeoutMS, [retval] out octet[] data)
| Reads data from this file.
void | readAt (in long long offset, in unsigned long toRead, in unsigned long timeoutMS, [retval] out octet[] data)
| Reads data from an offset of this file.
void | seek (in long long offset, in FileSeekOrigin whence, [retval] out long long newOffset)
| Changes the current file position of this file.
void | setACL (in wstring acl, in unsigned long mode)
| Sets the ACL of this file.
void | setSize (in long long size)
| Changes the file size.
void | write (in octet[] data, in unsigned long timeoutMS, [retval] out unsigned long written)
| Writes bytes to this file.
void | writeAt (in long long offset, in octet[] data, in unsigned long timeoutMS, [retval] out unsigned long written)
| Writes bytes at a certain offset to this file.

## Detailed Description

Implementation of the IFile object for files in the guest.

Interface ID:
  `{92F21DC0-44DE-1653-B717-2EBF0CA9B664}`

## Member Data Documentation

## ◆ midlDoesNotLikeEmptyInterfaces

readonly attribute boolean IGuestFile::midlDoesNotLikeEmptyInterfaces